## docx2txt 1.4

=== Makefile ===
#
# Makefile for docx2txt
#

BINDIR ?= /usr/local/bin
CONFIGDIR ?= /etc

INSTALL = $(shell which install 2>/dev/null)
ifeq ($(INSTALL),)
$(error "Need 'install' to install docx2txt")
endif

PERL = $(shell which perl 2>/dev/null)
ifeq ($(PERL),)
$(warning "*** Make sure 'perl' is installed and is in your PATH, before running the installed script. ***")
endif

BINFILES = docx2txt.sh docx2txt.pl
CONFIGFILE = docx2txt.config

.PHONY: install installbin installconfig

install: installbin installconfig

installbin: $(BINFILES)
	@echo "Installing script files [$(BINFILES)] in \"$(BINDIR)\" .."
	@[ -d "$(BINDIR)" ] || mkdir -p "$(BINDIR)"
	$(INSTALL) -m 755 $^ "$(BINDIR)"
ifneq ($(PERL),)
	@echo "Setting systemConfigDir to [$(CONFIGDIR)] in \"$(BINDIR)/docx2txt.pl\" .."
	$(PERL) -pi -e "s%\"/etc\";%\"$(CONFIGDIR)\";%" "$(BINDIR)/docx2txt.pl"\
	&& rm -f "$(BINDIR)/docx2txt.pl.bak"
else
	@echo "*** Set systemConfigDir to \"$(CONFIGDIR)\" in \"$(BINDIR)/docx2txt.pl\"."
endif

installconfig: $(CONFIGFILE)
	@echo "Installing config file [$(CONFIGFILE)] in \"$(CONFIGDIR)\" .."
	@[ -d "$(CONFIGDIR)" ] || mkdir -p "$(CONFIGDIR)"
	$(INSTALL) -m 755 $^ "$(CONFIGDIR)"

## docx2txt 1.2

=== debian/changelog ===
docx2txt (1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - add missing "Depeneds: unzip" to show .docx files (Closes: #739597)

 -- Hideki Yamane <henrich@debian.org>  Thu, 27 Feb 2014 10:06:10 +0900

docx2txt (1.2-1) unstable; urgency=low

  * Initial release (Closes: #651908)

 -- Khalid El Fathi <khalid@elfathi.fr>  Sat, 25 Feb 2012 15:39:48 +0100

=== debian/control ===
Source: docx2txt
Section: text
Priority: extra
Maintainer: Khalid El Fathi <khalid@elfathi.fr>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.3
Homepage: http://docx2txt.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/docx2txt.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/docx2txt.git;a=summary

Package: docx2txt
Architecture: all 
Depends: ${shlibs:Depends}, ${misc:Depends}, unzip
Description: Convert Microsoft OOXML files to plain text
 docx2txt is a tool that attempts to generate equivalent (ASCII) text files from
 Microsoft .docx documents, preserving some formatting and document information
 (which MS text conversion drops) along with appropriate character conversions
 for a good (ASCII) text experience. It is a platform independent solution
 consisting of (core) Perl and (wrapper) Unix/Windows shell scripts and a
 configuration file to control the output text appearance to fair extent.
 It can very conveniently be used to build a Web based docx document conversion
 service. Some Makefiles and Windows batch files are provided for easy
 installation of the scripts. With unzippers like CakeCmd that can deal with
 corrupt Zip archives, this tool can extract text from corrupt docx documents
 in many cases, where MS word processor fails to even open them.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_build:

override_dh_auto_install:
	cp $(CURDIR)/docx2txt.pl $(CURDIR)/debian/docx2txt/usr/bin/docx2txt

=== debian/watch ===
version=3
http://sf.net/docx2txt/docx2txt-(.*).tgz

## docx2txt 1.4

=== debian/changelog ===
docx2txt (1.4-5) unstable; urgency=medium

  * Address security issue: do not quote %s in mailcap entry (closes: #985594)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 20 Mar 2021 17:13:44 +0000

docx2txt (1.4-4) unstable; urgency=medium

  * debian/rules does not require root
  * Drop priority field from docx2txt.mime (Closes: #977157), thanks to
    Ryan Kavanagh <rak@debian.org> for the patch

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 11 Dec 2020 21:56:27 +0000

docx2txt (1.4-3) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.0, no changes needed.
  * quilt patch direct shebangs

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 14 Nov 2020 22:52:54 +0000

docx2txt (1.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Barak A. Pearlmutter ]
  * bump policy version
  * bump to debhelper 12

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Aug 2019 22:56:39 +0200

docx2txt (1.4-1) unstable; urgency=medium

  * Adopt package (closes: #858666), with much thanks to Khalid El Fathi
    for the original packaging; I use this constantly!
  * bump standards version
  * rephrase description and man page to admit non-ascii
    output (closes: #700396)
  * Remove obsolete emacs mode comment from debian/rules
  * Obay hinter and set Multi-arch: foreign

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Oct 2017 12:26:50 +0100

docx2txt (1.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - set Standards-Version: 4.0.0
    - update Vcs-*, use https
    - Build-Depends: debhelper (>= 10)
  * debian/compat
    - set 10
  * debian/watch
    - update to version4

 -- Hideki Yamane <henrich@debian.org>  Sat, 15 Jul 2017 15:20:36 +0900

docx2txt (1.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * add "debian/docx2txt.mime" to mailcap entry for text-based mail readers.
    Thanks to Tanguy Ortolo <tanguy+debian@ortolo.eu> for the patch.
    (Closes: #692827)
  * debian/contorl: set canonical URL for Vcs-* field

 -- Hideki Yamane <henrich@debian.org>  Tue, 20 May 2014 01:55:31 +0900

docx2txt (1.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
  * debian/control
    - set "Standards-Version: 3.9.5"

 -- Hideki Yamane <henrich@debian.org>  Tue, 29 Apr 2014 13:26:49 +0900

=== debian/control ===
Source: docx2txt
Section: text
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://docx2txt.sourceforge.net
Vcs-Git: https://salsa.debian.org/debian/docx2txt.git
Vcs-Browser: https://salsa.debian.org/debian/docx2txt

Package: docx2txt
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, unzip
Description: Convert Microsoft OOXML files to plain text
 This tool attempts to generate equivalent plain text files from
 Microsoft .docx documents, preserving some formatting and document
 information (which MS text conversion drops) along with appropriate
 character conversions for a good (ascii or utf-8) text experience.
 It is a platform independent solution consisting of (core) Perl and
 (wrapper) Unix/Windows shell scripts and a configuration file to
 control the output text appearance to a fair extent.  It can very
 conveniently be used to build a Web-based docx document conversion
 service.  Some Makefiles and Windows batch files are provided for
 easy installation of the scripts.  With unzippers like CakeCmd that
 can deal with corrupt Zip archives, this tool can extract text from
 corrupt docx documents in many cases, where MS Word fails to even
 open them.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
+
 # Sample debian/rules that uses debhelper.
 # This file was originally written by Joey Hess and Craig Small.
 # As a special exception, when this file is copied by dh-make into a
@@ -15,6 +15,5 @@
 override_dh_auto_build:
 
 override_dh_auto_install:
+	mkdir -p $(CURDIR)/debian/docx2txt/usr/bin
 	cp $(CURDIR)/docx2txt.pl $(CURDIR)/debian/docx2txt/usr/bin/docx2txt
-
-

=== debian/watch ===
version=4
https://sf.net/@PACKAGE@/@PACKAGE@@ANY_VERSION@.tgz
